## ros-indigo-homer-navigation 1.0.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(homer_navigation)

find_package(catkin REQUIRED COMPONENTS
  roscpp roslib nav_msgs sensor_msgs homer_mapnav_msgs homer_nav_libs tf cmake_modules robbie_architecture
)

find_package(Eigen REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp roslib nav_msgs sensor_msgs homer_mapnav_msgs homer_nav_libs tf robbie_architecture
)

set(CMAKE_BUILD_TYPE Release)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Eigen_INCLUDE_DIRS}
)

add_executable(homer_navigation src/homer_navigation_node.cpp)
add_dependencies(homer_navigation ${catkin_EXPORTED_TARGETS})

target_link_libraries(homer_navigation
   ${catkin_LIBRARIES}
   ${Eigen_LIBRARIES}
 )
install(TARGETS homer_navigation DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY include/homer_navigation/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-indigo-homer-navigation (1.0.16-0trusty) trusty; urgency=high



 -- Viktor Seib <vseib@uni-koblenz.de>  Wed, 17 Feb 2016 23:00:00 -0000

ros-indigo-homer-navigation (1.0.15-0trusty) trusty; urgency=high

  * install include directory
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Fri, 04 Dec 2015 23:00:00 -0000

ros-indigo-homer-navigation (1.0.14-0trusty) trusty; urgency=high

  * moved header files to include directory
  * modified include path
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Fri, 04 Dec 2015 23:00:00 -0000

ros-indigo-homer-navigation (1.0.13-0trusty) trusty; urgency=high



 -- Viktor Seib <vseib@uni-koblenz.de>  Thu, 03 Dec 2015 23:00:00 -0000

ros-indigo-homer-navigation (1.0.12-0trusty) trusty; urgency=high



 -- Viktor Seib <vseib@uni-koblenz.de>  Wed, 02 Dec 2015 23:00:00 -0000

ros-indigo-homer-navigation (1.0.11-0trusty) trusty; urgency=high



 -- Viktor Seib <vseib@uni-koblenz.de>  Tue, 01 Dec 2015 23:00:00 -0000

ros-indigo-homer-navigation (1.0.10-0trusty) trusty; urgency=high



 -- Viktor Seib <vseib@uni-koblenz.de>  Tue, 01 Dec 2015 23:00:00 -0000

ros-indigo-homer-navigation (1.0.9-0trusty) trusty; urgency=high



 -- Viktor Seib <vseib@uni-koblenz.de>  Mon, 30 Nov 2015 23:00:00 -0000

ros-indigo-homer-navigation (1.0.8-0trusty) trusty; urgency=high



 -- Viktor Seib <vseib@uni-koblenz.de>  Sun, 29 Nov 2015 23:00:00 -0000

ros-indigo-homer-navigation (1.0.7-0trusty) trusty; urgency=high

  * added install()
  * updated changelog
  * updated catkin_depends
  * Contributors: Niklas Yann Wettengel
  * updated catkin_depends
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Fri, 27 Nov 2015 23:00:00 -0000

ros-indigo-homer-navigation (1.0.6-0trusty) trusty; urgency=high

  * removed env HOMER_DIR from CMakeLists.txt
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Thu, 26 Nov 2015 23:00:00 -0000

ros-indigo-homer-navigation (1.0.5-0trusty) trusty; urgency=high

  * added missing files
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Mon, 23 Nov 2015 23:00:00 -0000

ros-indigo-homer-navigation (1.0.4-0trusty) trusty; urgency=high

  * changed build dependency from libeigen3-dev to eigen
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Thu, 19 Nov 2015 23:00:00 -0000

ros-indigo-homer-navigation (1.0.3-0trusty) trusty; urgency=high

  * added libeigen3-dev build dependency
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Thu, 19 Nov 2015 23:00:00 -0000

ros-indigo-homer-navigation (1.0.2-0trusty) trusty; urgency=high

  * added cmake_modules as build dependency in package.xml
  * added Maintainers
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Thu, 19 Nov 2015 23:00:00 -0000

ros-indigo-homer-navigation (1.0.1-0trusty) trusty; urgency=high

  * init
  * Contributors: Raphael Memmesheimer

 -- Viktor Seib <vseib@uni-koblenz.de>  Mon, 07 Sep 2015 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-homer-navigation
Section: misc
Priority: extra
Maintainer: Viktor Seib <vseib@uni-koblenz.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-homer-mapnav-msgs, ros-indigo-homer-nav-libs, ros-indigo-nav-msgs, ros-indigo-robbie-architecture, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-homer-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-homer-mapnav-msgs, ros-indigo-homer-nav-libs, ros-indigo-nav-msgs, ros-indigo-robbie-architecture, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-tf
Description: The homer_navigation package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-homer-navigation//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
